function DMS = c2dms(cislo)
%
%prevod cisla na DMS
%[DD MM SS.SSSS] = c2dms(cislo)
%

D = fix(cislo);
if((cislo < 0) & (cislo > -1))
    D = -eps;
end

M = abs(fix(60*cislo-60*fix(cislo)));
S = abs(3600*cislo-60*fix(60*cislo));

DMS = [D M S];